import speech_recognition as sr


class Voice:
    @staticmethod
    def listen():
        recognizer = sr.Recognizer()

        try:
            recognizer = sr.Recognizer()
            with sr.Microphone() as source:
                print("Adjusting for ambient noise...")
                recognizer.adjust_for_ambient_noise(source)
                print("Listening...")
                audio_data = recognizer.listen(source)
                print("Audio captured")
                try:
                    text = recognizer.recognize_sphinx(audio_data)  # Using Google Web Speech API
                except sr.UnknownValueError:
                    text = "ERROR"
                except sr.RequestError as e:
                    text = "ERROR"
                
        except sr.RequestError as e:
            text = "ERROR"
        except sr.UnknownValueError:
            text = "ERROR"
        except Exception as e:
            text = "ERROR"
        return text
    print(listen())


